Bug 1384133 - Review Request: python3-suds - A python SOAP client
Summary: Review Request: python3-suds - A python SOAP client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 15:39 UTC by Orion Poplawski
Modified: 2016-11-19 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 09:50:47 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2016-10-12 15:39:02 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-suds.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-suds-0.6-1.el7.src.rpm
Description:
The suds project is a python soap web services client lib.  Suds leverages
python meta programming to provide an intuitive API for consuming web
services.  Objectification of types defined in the WSDL is provided
without class generation.  Programmers rarely need to read the WSDL since
services and WSDL based objects can be easily inspected.


Fedora Account System Username: orion

This is an EPEL only package.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-10-29 22:54:38 UTC
For clarity, I think it would be good to add a note %description that this is only for EPEL (or a big comment in the spec file).

Looks all reasonable. Builds fine in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=16253280. Provides/requires look OK.

rpmlint:
python34-suds.noarch: E: incorrect-fsf-address /usr/lib/python3.4/site-packages/suds/sudsobject.py
Nobody cares ;)

Package is APPROVED.

Comment 2 Gwyn Ciesla 2016-11-01 12:44:39 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-suds

Comment 3 Fedora Update System 2016-11-03 03:47:15 UTC
python3-suds-0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cdd07de07c

Comment 4 Fedora Update System 2016-11-03 03:47:23 UTC
python3-suds-0.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2a38594e5c

Comment 5 Fedora Update System 2016-11-04 17:21:02 UTC
python3-suds-0.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2a38594e5c

Comment 6 Fedora Update System 2016-11-04 17:23:11 UTC
python3-suds-0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cdd07de07c

Comment 7 Fedora Update System 2016-11-19 09:50:47 UTC
python3-suds-0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-19 12:49:01 UTC
python3-suds-0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.